//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW2A-LV18PG256C8/I7
//Device: GW2A-18
//Created Time: Wed Jan 24 09:28:28 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	LTPI_HPM_Top your_instance_name(
		.clk_i(clk_i_i), //input clk_i
		.ref_clk_i(ref_clk_i_i), //input ref_clk_i
		.rstn_i(rstn_i_i), //input rstn_i
		.start_i(start_i_i), //input start_i
		.lvds_tx_data_o(lvds_tx_data_o_o), //output lvds_tx_data_o
		.lvds_tx_clk_o(lvds_tx_clk_o_o), //output lvds_tx_clk_o
		.lvds_rx_data_i(lvds_rx_data_i_i), //input lvds_rx_data_i
		.lvds_rx_clk_i(lvds_rx_clk_i_i), //input lvds_rx_clk_i
		.tx_pll_locked_o(tx_pll_locked_o_o), //output tx_pll_locked_o
		.aligned_o(aligned_o_o), //output aligned_o
		.ll_gpio_in_i(ll_gpio_in_i_i), //input [15:0] ll_gpio_in_i
		.ll_gpio_out_o(ll_gpio_out_o_o), //output [15:0] ll_gpio_out_o
		.nl_gpio_in_i(nl_gpio_in_i_i), //input [31:0] nl_gpio_in_i
		.nl_gpio_out_o(nl_gpio_out_o_o), //output [31:0] nl_gpio_out_o
		.uart_rxd_i(uart_rxd_i_i), //input [0:0] uart_rxd_i
		.uart_txd_o(uart_txd_o_o), //output [0:0] uart_txd_o
		.iic_scl_io(iic_scl_io_io), //inout [0:0] iic_scl_io
		.iic_sda_io(iic_sda_io_io), //inout [0:0] iic_sda_io
		.oem_gpio_in_i(oem_gpio_in_i_i), //input [31:0] oem_gpio_in_i
		.oem_gpio_out_o(oem_gpio_out_o_o), //output [31:0] oem_gpio_out_o
		.apb_addr_o(apb_addr_o_o), //output [31:0] apb_addr_o
		.apb_sel_o(apb_sel_o_o), //output apb_sel_o
		.apb_ena_o(apb_ena_o_o), //output apb_ena_o
		.apb_wr_o(apb_wr_o_o), //output apb_wr_o
		.apb_rdata_i(apb_rdata_i_i), //input [31:0] apb_rdata_i
		.apb_wdata_o(apb_wdata_o_o), //output [31:0] apb_wdata_o
		.apb_rdy_i(apb_rdy_i_i), //input apb_rdy_i
		.apb_err_i(apb_err_i_i), //input apb_err_i
		.apb_strb_o(apb_strb_o_o), //output [3:0] apb_strb_o
		.data_channel_tag_i(data_channel_tag_i_i), //input [7:0] data_channel_tag_i
		.data_channel_tag_o(data_channel_tag_o_o), //output [7:0] data_channel_tag_o
		.cfg_clk_i(cfg_clk_i_i), //input cfg_clk_i
		.cfg_rstn_i(cfg_rstn_i_i), //input cfg_rstn_i
		.cfg_addr_i(cfg_addr_i_i), //input [31:0] cfg_addr_i
		.cfg_sel_i(cfg_sel_i_i), //input cfg_sel_i
		.cfg_ena_i(cfg_ena_i_i), //input cfg_ena_i
		.cfg_wr_i(cfg_wr_i_i), //input cfg_wr_i
		.cfg_rdata_o(cfg_rdata_o_o), //output [31:0] cfg_rdata_o
		.cfg_wdata_i(cfg_wdata_i_i), //input [31:0] cfg_wdata_i
		.cfg_rdy_o(cfg_rdy_o_o), //output cfg_rdy_o
		.cfg_strb_i(cfg_strb_i_i), //input [3:0] cfg_strb_i
		.debug_o(debug_o_o) //output [5:0] debug_o
	);

//--------Copy end-------------------
