
create_clock -name i_clk -period 20 -waveform {0 10} [get_ports {i_clk}]
create_clock -name RX_CLK_P -period 6.66 -waveform {0 3.33} [get_ports {RX_CLK_P}]

create_generated_clock -name rxdiv5clk -source [get_ports {RX_CLK_P}] -master_clock RX_CLK_P -divide_by 5 -multiply_by 1 [get_nets {u_ltpi_hpm/u_ltpi_core/u_ltpi_main/u_ltpi_phy/u_ltpi_phy_rx/u_ltpi_phy_rx_inf/u_lvds_phy_rx/clk5div}]

create_generated_clock -name w_clk25m -source [get_ports {i_clk}] -master_clock i_clk -divide_by 2 -multiply_by 1 [get_nets {w_clk25m}]
create_generated_clock -name w_clk60m -source [get_ports {i_clk}] -master_clock i_clk -divide_by 5 -multiply_by 6 [get_nets {w_clk60m}]

set_clock_groups -asynchronous -group [get_clocks {w_clk60m}] -group [get_clocks {w_clk25m}] -group [get_clocks {i_clk} ] -group [get_clocks {rxdiv5clk} ] 